﻿using System.Collections;
using UnityEngine;

namespace SamMod
{
    public class MaceBehaviour : MonoBehaviour
    {
        private GameObject gameobjectBall;

        public Vector2 ChainConnector = new Vector2(0f, 0.55f);
        public Vector2 ballConnector = new Vector2(0f, -0.17f);

        Sprite Ball;
        private void Awake()
        {
            var mace = ModAPI.CreatePhysicalObject("Ball", ModAPI.LoadSprite("mh.png"));

            foreach(var hitbox in mace.GetComponents<Collider2D>()) { Destroy(hitbox); }
            mace.AddComponent<CircleCollider2D>();
            mace.AddComponent<PhysicalBehaviour>().InitialMass = 0.2f;
                        mace.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
            mace.transform.SetParent(gameObject.transform);
            mace.transform.localPosition = new Vector3(ChainConnector.x, ChainConnector.y + 1f);

            DistanceJoint2D joint = gameObject.AddComponent<DistanceJoint2D>();
            joint.maxDistanceOnly = true;
            joint.enableCollision = false;
            joint.distance = 0.5f;
            joint.autoConfigureDistance = false;
            joint.breakForce = Mathf.Infinity;
            joint.breakTorque = Mathf.Infinity;
            joint.anchor = ChainConnector;
            joint.connectedBody = mace.GetComponent<Rigidbody2D>();
            joint.connectedAnchor = ballConnector;
            JointCreated(joint);
        }

        void JointCreated(DistanceJoint2D joint)
        {
            EnergyWireBehaviour energyWireBehaviour = joint.gameObject.AddComponent<EnergyWireBehaviour>();
            energyWireBehaviour.WireColor = Color.grey;
            energyWireBehaviour.WireMaterial = Resources.Load<Material>("Materials/Wire");
            energyWireBehaviour.WireWidth = 0.025f;
            energyWireBehaviour.typedJoint = joint;
        }
    }
}