using System;
using System.Collections.Generic;
using System.Collections;
using System.IO;
using UnityEngine;


namespace SamMod
{
    public class SamMod
    {
        public static void Main()
        {  

            //Chain Mace
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Chain Mace UMP",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Mace With Chain!",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/93.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mhe.png");
                        var web = Instance.AddComponent<MaceBehaviour>();

                        Instance.AddComponent<BoxCollider2D>();

                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                    }
                }
            );

                  //Nunchucks
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Nunchucks UMP",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Nunchucks working",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/116.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nun.png");
                        var web = Instance.AddComponent<MaceBehaviour2>();

                        Instance.AddComponent<BoxCollider2D>();

                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Weapon");
                    }
                }
            );

        // Sctyhe 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Scythe  UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Harvest!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/81.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scythe h.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("scythe he.png", 1f));                   
                    someobject.transform.parent = Instance.transform;
                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.2f,0.9f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };


Instance.FixColliders();

                                                                                       
                    }
                }
            );
             // Cleaver 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Cleaver  UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Dude where's my cow",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/69.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cleaver Handle.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("Cleaver Head.png", 1f));                   
                    someobject.transform.parent = Instance.transform;

                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.04f,0.35f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };


Instance.FixColliders();

                                                                                       
                    }
                }
            );                                  

//Steel Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Steel Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Basic steel sword used for combat",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/1.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Steel Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
            //Iron Long Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Iron Long Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Long swords need advanced skill",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/2.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Iron Long Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                                            
                                                                                       
                    }
                }
            );
            //Cricket Bat
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Cricket Bat UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Really Powerful Bat Better than Basic bat",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/3.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cricket Bat.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Polished Baseball Bat
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Polished Baseball Bat UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Just a better bat baseball model",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/4.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Polished Baseball Bat.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WS.mp3"),
                                               ModAPI.LoadSound("sfx/WS2.mp3"),


                            };                                                                                                                                                                                                   
                                                                                       
                    }
                }
            );
            //Worker Hammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Wrench"),                                                      
                    NameOverride = "Worker Hammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can really repair but stil can be used for combat",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/5.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Worker Hammer.png", 1f);
                        Instance.FixColliders();
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/SBB.mp3"),
                                      ModAPI.LoadSound("sfx/SBB2.mp3"),
                                            ModAPI.LoadSound("sfx/SBB3.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
            //Throwing Knife
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Throwing Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very Hard to Aim",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/6.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Throwing Knife.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                               
                                              

                            };                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //Katana
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Katana UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Migty Katana For Special Fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/7.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Katana.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/K.mp3"),
                                      ModAPI.LoadSound("sfx/K2.mp3"),
                                            ModAPI.LoadSound("sfx/K3.mp3"),
                                               ModAPI.LoadSound("sfx/K4.mp3"),
                                               ModAPI.LoadSound("sfx/K5.mp3"),
                                               ModAPI.LoadSound("sfx/K6.mp3"),


                            };                                                                                                                                                                                                      
                                                                                       
                    }
                }
            );
            //Worker Sledgehammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Worker Sledgehammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Really Heavy Tool for everthing",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/8.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Worker Sledgehammer.png", 1f);
                        Instance.FixColliders();                                                                                                               
                                                                                       
                    }
                }
            );
            //Baton
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Baton UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Police Using These",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/9.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Baton.png", 1f);
                        Instance.FixColliders();
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/SBB.mp3"),
                                      ModAPI.LoadSound("sfx/SBB2.mp3"),
                                            ModAPI.LoadSound("sfx/SBB3.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
            //Combat Knife 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Combat Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Army Have These Knifes For Defense",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/10.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Combat Knife.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                    ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                               
                                                                                       
                    }
                }
            );
            //Dagger 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Dagger UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Dagger used to be a secret Weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/11.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Dagger.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                               
                                                                                       
                    }
                }
            );
            //Push Dagger 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Push Dagger UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Deadly Brutal Weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/12.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Push Dagger.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                     ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                               
                                                                                       
                    }
                }
            );
            //Hand Dagger 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Hand Dagger UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very Old Type of Dagger",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/13.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hand Dagger.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                               
                                                                                       
                    }
                }
            );
            //Greatsword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Greatsword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "heavier sword for great fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/14.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Greatsword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                                            
                                                                                       
                    }
                }
            );
            //Golf Club
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Golf Club UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Basic of all melee combat",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/15.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Golf Club.png", 1f);
                        Instance.FixColliders();
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/SBB.mp3"),
                                      ModAPI.LoadSound("sfx/SBB2.mp3"),
                                            ModAPI.LoadSound("sfx/SBB3.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
            //Steel Baseball Bat 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Steel Baseball Bat UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Baseball Bat but steel that it",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/16.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Steel Baseball Bat.png", 1f);
                        Instance.FixColliders();
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/SBB.mp3"),
                                      ModAPI.LoadSound("sfx/SBB2.mp3"),
                                            ModAPI.LoadSound("sfx/SBB3.mp3"),


                            };
                                                                                                                                   
                                                                                       
                    }
                }
            );
            //Army Knife 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Army Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "These are specialy for soilders",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/17.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Army Knife.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                               
                                                                                       
                    }
                }
            );                                                                                                                                                                                                                                                                                                                               
            //Hand Saw
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Hand Saw UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Big Ass Saw",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/18.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hand Saw.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                                                          
                                                                                       
                    }
                }
            );
            //Guitar 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Guitar UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Play or Kill with guitar?",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/19.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guitar.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/G.mp3"),
                                      ModAPI.LoadSound("sfx/G2.mp3"),
                                            ModAPI.LoadSound("sfx/G3.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
            //Bass Guitar 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Bass Guitar UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Play or Kill with Bass guitar? well more bass much better",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/20.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bass Guitar.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/BG.mp3"),
                                      ModAPI.LoadSound("sfx/BG2.mp3"),
                                            ModAPI.LoadSound("sfx/BG3.mp3"),


                            };                                                                                                                                                                                      
                                                                                       
                    }
                }
            );
            //Kukri Knife 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Kukri Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very weird shape",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/21.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kukri Knife.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                     ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                               
                                                                                       
                    }
                }
            );
            //Worker Screwdriver 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Worker Screwdriver UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Little sharp maybe",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/22.png"),     
                    AfterSpawn = (Instance) =>
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Worker Screwdriver.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
            //Fork 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Fork UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Still Sharp",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/23.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fork.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                                ModAPI.LoadSound("sfx/MMS.mp3"),
                                               ModAPI.LoadSound("sfx/MMS2.mp3"),
                                              

                            };                                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Kitchen Knife 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Kitchen Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Kitchen need kitchen knife",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/24.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kitchen Knife.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                    ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                               
                                                                                       
                    }
                }
            );
            //Silver Spear  
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Spear"),                                                      
                    NameOverride = "Silver Spear UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Seems like old style weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/25.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Silver Spear.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/S.mp3"),
                                      ModAPI.LoadSound("sfx/S2.mp3"),
                                            ModAPI.LoadSound("sfx/S3.mp3"),
                                               ModAPI.LoadSound("sfx/S4.mp3"),
                                             

                            };                                                                                                                                                                                                     
                                                                                       
                    }
                }
            );
            //Castle Spear  
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Lance"),                                                      
                    NameOverride = "Castle Spear UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Castle weapon for great knights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/26.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Castle Spear.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/S.mp3"),
                                      ModAPI.LoadSound("sfx/S2.mp3"),
                                            ModAPI.LoadSound("sfx/S3.mp3"),
                                               ModAPI.LoadSound("sfx/S4.mp3"),
                                             

                            };                                                                                                                                                                                                     
                                                                                       
                    }
                }
            );                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
            //Legend Sword 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Legend Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "This Legendary sword is very expensive",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/27.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Legend Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                                            
                                                                                       
                    }
                }
            );
            //Boxing Glove 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Boxing Glove UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Round 1 Fight!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/28.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Boxing Glove.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 4f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/BS.mp3"),
                                 ModAPI.LoadSound("sfx/BS2.mp3"),
                                  ModAPI.LoadSound("sfx/BS3.mp3"),
                                     


                            };                                                                                                                                                                                                                  
                                                                                       
                    }
                }
            );
            //Sport Boxing Glove 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Sport Boxing Glove UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Round 2 Fight!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/29.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sport Boxing Glove.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 4f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/BS.mp3"),
                                 ModAPI.LoadSound("sfx/BS2.mp3"),
                                  ModAPI.LoadSound("sfx/BS3.mp3"),
                                     


                            };                                                                                                                                                                                                          
                                                                                       
                    }
                }
            );
            //Shuriken
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Shuriken UMP",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Basic but works",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/30.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Shuriken.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().StabReleaseSpeedModifier = 0.75f;
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                                ModAPI.LoadSound("sfx/MMS.mp3"),
                                               ModAPI.LoadSound("sfx/MMS2.mp3"),
                                              

                            };                                                                  


                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        var prop = ModAPI.FindPhysicalProperties("Metal");
                        prop.Sharp = true;
                        //prop.LodgeStrengthMultiplier = 3f;
                        prop.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.up, 0.0f, 0.0f, true, true),
                            new SharpAxis(Vector2.down, 0.0f, 0.0f, true, true),
                            new SharpAxis(Vector2.left, 0.0f, 0.0f, true, true),
                            new SharpAxis(Vector2.right, 0.0f, 0.0f, true, true),
                        };
                        phys.Properties = prop;
                    }
                }
            );
            //Hammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Wrench"),                                                      
                    NameOverride = "Hammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can really repair but stil can be used for combat",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/31.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hammer.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WS.mp3"),
                                               ModAPI.LoadSound("sfx/WS2.mp3"),


                            };                                                                                                                                                                                                    
                                                                                       
                    }
                }
            );
            //Hatchet
ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Axe"),
          NameOverride = "Hatchet UMP",
          NameToOrderByOverride = "A",
          DescriptionOverride = "Standard weapon for any situation",
          CategoryOverride = ModAPI.FindCategory("Melee"),
          ThumbnailOverride = ModAPI.LoadSprite("Thumbs/32.png"),
          AfterSpawn = (Instance) =>
          {
                             
              var axeHandle = Instance.transform.GetChild(0);
              axeHandle.gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hatchet Handle.png");
              var axeHead = axeHandle.GetChild(0);
              axeHead.gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hatchet Head.png");
              var properties = ModAPI.FindPhysicalProperties("Metal");
              properties.Sharp = true;
              properties.SharpAxes = new SharpAxis[]
              {
                  new SharpAxis(Vector2.right, 0f, 0.5f, true, false)
              };
              axeHead.gameObject.GetComponent<PhysicalBehaviour>().Properties = properties;
              Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                
          }
      }
  );
  //Fireman Axe
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Axe"),
                    NameOverride = "Fireman Axe",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "For firemans and killers.",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/33.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                       
                        bool flipped = Instance.transform.localScale.x < 0f;
                        Instance.transform.localScale = new Vector2(1.3f * (flipped ? -1f : 1f), 1.3f)
                          ;
                        var axeHandle = Instance.transform.GetChild(0);
                        axeHandle.gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fireman Axe Handle.png", 1.2f);
                        var axeHead = axeHandle.GetChild(0);
                        axeHead.gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fireman Axe Head.png", 1.2f);
                        axeHead.localPosition = new Vector3(0.001f, 0.49f);
                        var properties = ModAPI.FindPhysicalProperties("Metal");
                        properties.Sharp = true;
                        properties.SharpAxes = new SharpAxis[]
                        {
                            new SharpAxis(Vector2.right, 0f, 0.25f, true, false)
                        };
                        axeHead.gameObject.GetComponent<PhysicalBehaviour>().Properties = properties;
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                
                    }
                }
            );
  //Brawl Axe
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Axe"),
                    NameOverride = "Brawl Axe",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Brawl!.",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/34.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        bool flipped = Instance.transform.localScale.x < 0f;
                        Instance.transform.localScale = new Vector2(1.3f * (flipped ? -1f : 1f), 1.3f)
                          ;
                        var axeHandle = Instance.transform.GetChild(0);
                        axeHandle.gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Brawl Handle.png", 1.2f);
                        var axeHead = axeHandle.GetChild(0);
                        axeHead.gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Brawl Head.png", 1.2f);
                        axeHead.localPosition = new Vector3(0.09f, 0.40f);
                        var properties = ModAPI.FindPhysicalProperties("Metal");
                        properties.Sharp = true;
                        properties.SharpAxes = new SharpAxis[]
                        {
                            new SharpAxis(Vector2.right, 0f, 0.25f, true, false)
                        };
                        axeHead.gameObject.GetComponent<PhysicalBehaviour>().Properties = properties;
                    }
                }
            );                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
//Screwdriver 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Screwdriver UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Little sharp maybe",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/35.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Screwdriver.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
            //Sledgehammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Sledgehammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Really Heavy Tool for everthing",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/36.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sledgehammer.png", 1f);
                        Instance.FixColliders();                                                                                                               
                                                                                       
                    }
                }
            );
            //Nail
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Nail UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can be used as upgrade for any weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/37.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Nail.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                                ModAPI.LoadSound("sfx/MMS.mp3"),
                                               ModAPI.LoadSound("sfx/MMS2.mp3"),
                                              

                            };                                                                  
                        
                                                                                       
                    }
                }
            );
            //Tiny Spike
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Tiny Spike UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Build your own weapon!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/38.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tiny Spike.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                                ModAPI.LoadSound("sfx/MMS.mp3"),
                                               ModAPI.LoadSound("sfx/MMS2.mp3"),
                                              

                            };                                                                  
                                                                                       
                    }
                }
            );
            //Polished Stick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Polished Stick UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "try a training fight or build your own weapon!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/39.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Polished Stick.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WS.mp3"),
                                               ModAPI.LoadSound("sfx/WS2.mp3"),


                            };                                                                                     
                                                                                       
                    }
                }
            );
            //Brass Knuckles 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Brass Knuckles UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "bandits have it",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/40.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Brass Knuckles.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/MS.mp3"),
                                 ModAPI.LoadSound("sfx/MS2.mp3"),
                               
                                     


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
            //Club 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Club UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Cavemans like these",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/41.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Club.png", 1f);                                                                                                               
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WS.mp3"),
                                               ModAPI.LoadSound("sfx/WS2.mp3"),


                            };                                                                                                                                                    
                    }
                }
            );
            //Paladin Hammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Paladin Hammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Heavy Weapon only for real paladins",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/42.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Paladin Hammer.png", 1f);
                        Instance.FixColliders();                                                                                                               
                                                                                       
                    }
                }
            );
            //Pan 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Pan UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Lets cooking! or not?",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/43.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pan.png", 1f);                                                                                                               
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/P.mp3"),
                                      ModAPI.LoadSound("sfx/P2.mp3"),
                                            ModAPI.LoadSound("sfx/P3.mp3"),
                                               ModAPI.LoadSound("sfx/P4.mp3"),
                                              
                                               


                            };                                                                                                                                
                    }
                }
            );
            //Pipe Wrench 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Wrench"),                                                      
                    NameOverride = "Pipe Wrench UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can Reapair!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/44.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pipe Wrench.png", 1f);                                                                                                               
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/MS.mp3"),
                                 ModAPI.LoadSound("sfx/MS2.mp3"),
                               
                                     


                            };                                                                                                                                
                    }
                }
            );
            //Scissors
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Scissors UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Eazy for use",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/45.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Scissors.png", 1f);
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                               
                                              

                            };                                                                
                        
                                                                                       
                    }
                }
            );
            //Garden Scissors
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Garden Scissors UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Make your own art of bash",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/46.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Garden Scissors.png", 1f);
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                               
                                              

                            };                                                                
                        
                                                                                       
                    }
                }
            );
            //Spike Mace
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Spike Mace UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "its sharp!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/47.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Spike Mace.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hea.mp3"),
                                 ModAPI.LoadSound("sfx/hea2.mp3"),
                                 ModAPI.LoadSound("sfx/hea3.mp3"),
                               
                                     


                            };                                               
                        
                                                                                       
                    }
                }
            );
            //Mace
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Mace UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Not Mace Windu",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/48.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mace.png", 1f);
                        Instance.FixColliders();

                                                                                       
                    }
                }
            );
            //Rake
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Rake UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "nobody likes leaves",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/49.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Rake.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/O.mp3"),
                                 ModAPI.LoadSound("sfx/O2.mp3"),
                                  ModAPI.LoadSound("sfx/O3.mp3"),
                                   
                               
                                     


                            };                                                            
                        
                                                                                       
                    }
                }
            );
            //Dumbbell
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Dumbbell UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Super Strong!!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/50.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Dumbbell.png", 1f);
                        Instance.FixColliders();
                                                                                       
                    }
                }
            );
            //Pipe
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Pipe UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Eazy to obtain",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/51.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pipe.png", 1f);
                        Instance.FixColliders();
                          Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/MS.mp3"),
                                 ModAPI.LoadSound("sfx/MS2.mp3"),
                               
                                     


                            };                                                                 
                                                                                       
                    }
                }
            );
            //Pole Cue
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Pole Cue UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Lets Play Table pool",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/52.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pole Cue.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WS.mp3"),
                                               ModAPI.LoadSound("sfx/WS2.mp3"),


                            };                                                                                     
                                                                                       
                    }
                }
            );
            
            //Kunai
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Kunai UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Ninja style",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/53.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kunai.png", 1f);
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                               
                                              

                            };                                                                
                        
                                                                                       
                    }
                }
            );
            //Sai
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Sai UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Just Chrome Sai",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/54.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sai.png", 1f);
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                               
                                              

                            };                                                                
                        
                                                                                       
                    }
                }
            );
            //Naginata
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Spear"),                                                      
                    NameOverride = "Naginata UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "bigger than katana",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/55.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Naginata.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/S.mp3"),
                                      ModAPI.LoadSound("sfx/S2.mp3"),
                                            ModAPI.LoadSound("sfx/S3.mp3"),
                                               ModAPI.LoadSound("sfx/S4.mp3"),
                                             

                            };                                                                      
                        
                                                                                       
                    }
                }
            );
            //Ninja Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Ninja Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Not katana but still usefull",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/56.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ninja Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/K.mp3"),
                                      ModAPI.LoadSound("sfx/K2.mp3"),
                                            ModAPI.LoadSound("sfx/K3.mp3"),
                                               ModAPI.LoadSound("sfx/K4.mp3"),
                                               ModAPI.LoadSound("sfx/K5.mp3"),
                                               ModAPI.LoadSound("sfx/K6.mp3"),


                            };                                                                     
                        
                                                                                       
                    }
                }
            );
            //Saber
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Saber UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Yea its Saber now",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/57.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pirate Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                             
                        
                                                                                       
                    }
                }
            );
            //Mallet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Mallet UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Like for smashing meat and something like this",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/58.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mallet.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                                 
                        
                                                                                       
                    }
                }
            );
            //Crowbar
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Crowbar UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Crowbar can open doors not here",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/59.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Crowbar.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                                 
                        
                                                                                       
                    }
                }
            );
            //Microphone Stand
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Microphone Stand UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can be used as weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/60.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Microphone Stand.png", 1f);
                        Instance.FixColliders();
                       Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                                ModAPI.LoadSound("sfx/MMS.mp3"),
                                               ModAPI.LoadSound("sfx/MMS2.mp3"),
                                              

                            };                                                                                
                                                                                       
                    }
                }
            );
            //Broken Bottle
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Broken Bottle UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Little bit similar like in ppg but sharp",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/61.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Broken Bottle.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                                ModAPI.LoadSound("sfx/BE.mp3"),
                                               ModAPI.LoadSound("sfx/BE2.mp3"),
                                               ModAPI.LoadSound("sfx/BE3.mp3"),
                                               
                                              

                            };                                                                               
                        
                        
                                                                                       
                    }
                }
            );
            //Machete
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Machete UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very basic",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/62.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Machete.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                           
                        
                        
                                                                                       
                    }
                }
            );
            //Showel
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Showel UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can be used as weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/63.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Showel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                                 
                        
                                                                                       
                    }
                }
            );
            //Battle Hammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Battle Hammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "For killing not for word",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/64.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Battle Hammer.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/MS.mp3"),
                                 ModAPI.LoadSound("sfx/MS2.mp3"),
                               
                                     


                            };                                                                 
                        
                                                                                       
                    }
                }
            );
            //Billhook
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Billhook UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Original From French",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/65.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Billhook.png", 1f);
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                               
                        
                        
                                                                                       
                    }
                }
            );
            //Trench Knife
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Trench Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Like from trench fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/66.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Trench Knife.png", 1f);
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                               
                        
                        
                                                                                       
                    }
                }
            );
            //Rapier
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Rapier UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Old style weapon for intense duel",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/67.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Rapier.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                    
                        
                        
                                                                                       
                    }
                }
            );
            //Bayonet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Bayonet UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Highly skilled combat knife",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/68.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bayonet.png", 1f);
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),

                            };                                                                               
                        
                        
                                                                                       
                    }
                }
            );
           
             //Emerald Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Emerald Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Secret Sword",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/70.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Emerald Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hits.mp3"),
                                      ModAPI.LoadSound("sfx/hits2.mp3"),
                                            ModAPI.LoadSound("sfx/ho3.mp3"),
                                               ModAPI.LoadSound("sfx/ho4.mp3"),
                                               ModAPI.LoadSound("sfx/ho5.mp3"),
                                               ModAPI.LoadSound("sfx/ho6.mp3"),


                            };                                                                                                                                                                                      
                                                                                       
                    }
                }
            );
            //Ruby Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Ruby Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Sword Made of Ruby",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/71.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ruby Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hits.mp3"),
                                      ModAPI.LoadSound("sfx/hits2.mp3"),
                                            ModAPI.LoadSound("sfx/ho3.mp3"),
                                               ModAPI.LoadSound("sfx/ho4.mp3"),
                                               ModAPI.LoadSound("sfx/ho5.mp3"),
                                               ModAPI.LoadSound("sfx/ho6.mp3"),


                            };                                                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Sulfur Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Sulfur Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very Rare Ore",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/72.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sulfur Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hits.mp3"),
                                      ModAPI.LoadSound("sfx/hits2.mp3"),
                                            ModAPI.LoadSound("sfx/ho3.mp3"),
                                               ModAPI.LoadSound("sfx/ho4.mp3"),
                                               ModAPI.LoadSound("sfx/ho5.mp3"),
                                               ModAPI.LoadSound("sfx/ho6.mp3"),


                            };                                                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Glass Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Glass Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "I know Its Not Real",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/73.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glass Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hits.mp3"),
                                      ModAPI.LoadSound("sfx/hits2.mp3"),
                                            ModAPI.LoadSound("sfx/ho3.mp3"),
                                               ModAPI.LoadSound("sfx/ho4.mp3"),
                                               ModAPI.LoadSound("sfx/ho5.mp3"),
                                               ModAPI.LoadSound("sfx/ho6.mp3"),


                            };                                                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
             //Xiphos Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Xiphos Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Spartan Weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/74.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Xiphos.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Metal Spear
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Spear"),                                                      
                    NameOverride = "Metal Spear UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Like Spear but metal",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/75.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Metal Spear.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/S.mp3"),
                                      ModAPI.LoadSound("sfx/S2.mp3"),
                                            ModAPI.LoadSound("sfx/S3.mp3"),
                                               ModAPI.LoadSound("sfx/S4.mp3"),
                                             

                            };                                                                                      
                        
                                                                                       
                    }
                }
            );
             //Zweihander Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Zweihander Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Name from Germany",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/76.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Zweihander Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Blade Saw
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Blade Saw UMP",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "you can build something",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/77.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Saw.png");
                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().StabReleaseSpeedModifier = 0.75f;
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                                ModAPI.LoadSound("sfx/MMS.mp3"),
                                               ModAPI.LoadSound("sfx/MMS2.mp3"),
                                              

                            };                                                                  


                        var phys = Instance.GetComponent<PhysicalBehaviour>();
                        var prop = ModAPI.FindPhysicalProperties("Metal");
                        prop.Sharp = true;
                        //prop.LodgeStrengthMultiplier = 3f;
                        prop.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.up, 0.0f, 0.0f, true, true),
                            new SharpAxis(Vector2.down, 0.0f, 0.0f, true, true),
                            new SharpAxis(Vector2.left, 0.0f, 0.0f, true, true),
                            new SharpAxis(Vector2.right, 0.0f, 0.0f, true, true),
                        };
                        phys.Properties = prop;
                    }
                }
            );
//Pen
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Pen UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "you can stab someone",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/78.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pen.png", 1f);
                        
                        
                                                                                       
                    }
                }
            );
            //Iron Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Iron Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "More Basic Sword",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/79.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Iron Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Elite Katana
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Elite Katana UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Migty Elite Katana For Special Fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/80.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Elite Katana.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/K.mp3"),
                                      ModAPI.LoadSound("sfx/K2.mp3"),
                                            ModAPI.LoadSound("sfx/K3.mp3"),
                                               ModAPI.LoadSound("sfx/K4.mp3"),
                                               ModAPI.LoadSound("sfx/K5.mp3"),
                                               ModAPI.LoadSound("sfx/K6.mp3"),


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
            //Violet Katana
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Violet Katana UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Migty Violet Katana For Special Fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/82.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Violet Katana.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/K.mp3"),
                                      ModAPI.LoadSound("sfx/K2.mp3"),
                                            ModAPI.LoadSound("sfx/K3.mp3"),
                                               ModAPI.LoadSound("sfx/K4.mp3"),
                                               ModAPI.LoadSound("sfx/K5.mp3"),
                                               ModAPI.LoadSound("sfx/K6.mp3"),


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
            //Flame Katana
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Flame Katana UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Migty Flame Katana For Special Fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/83.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flame Katana.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/K.mp3"),
                                      ModAPI.LoadSound("sfx/K2.mp3"),
                                            ModAPI.LoadSound("sfx/K3.mp3"),
                                               ModAPI.LoadSound("sfx/K4.mp3"),
                                               ModAPI.LoadSound("sfx/K5.mp3"),
                                               ModAPI.LoadSound("sfx/K6.mp3"),


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
           //War Hammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "War Hammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Heavy Weapon!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/84.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("War Hammer.png", 1f);
                        Instance.FixColliders();                                                                                                               
                                                                                       
                    }
                }
            );
            //Concrete Hammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Concrete Hammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Concrete Long Hammer",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/85.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Concrete Hammer.png", 1f);
                        Instance.FixColliders();                                                                                                               
                                                                                       
                    }
                }
            );
            // Double Axe 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Double Axe  UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Kill!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/86.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ah.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("ar.png", 1f));                   
                    someobject.transform.parent = Instance.transform;
                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.2f,0.5f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };








var some2 = ModAPI.CreatePhysicalObject("123", ModAPI.LoadSprite("al.png", 1f));                   
                    some2.transform.parent = Instance.transform;
                    var asdasdasd = some2.AddComponent<FixedJoint2D>();
                    asdasdasd.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    some2.transform.localPosition = new Vector2(-0.2f,0.5f);
                    some2.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    some2.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phos = some2.GetComponent<PhysicalBehaviour>().Properties;
                        phos.Sharp = true;
                        phos.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.left, -0.2f, 0.2f, true, false),
                        };















Instance.FixColliders();

                                                                                       
                    }
                }
            );
              //Halberd 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Halberd Axe  UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "For Great Knights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/87.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hs.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("hh.png", 1f));                   
                    someobject.transform.parent = Instance.transform;
                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.35f,0.7f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };


Instance.FixColliders();

                                                                                       
                    }
                }
            );
            //Bo staff 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Bo Staff UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "training Starting!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/88.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bo staff.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 4f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
                                                                                                                                                                           
                                                                                       
                    }
                }
            );
            //Steel Trident
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Steel Trident UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Dude where's my sheep",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/89.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Steel Trident.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/O.mp3"),
                                 ModAPI.LoadSound("sfx/O2.mp3"),
                                  ModAPI.LoadSound("sfx/O3.mp3"),
                                   
                               
                                     


                            };                                                            
                                                           
                                                                                       
                    }
                }
            );
            //Leather Gauntlet 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Leather Gauntlet UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very Powerful",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/90.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Leather Gauntlet.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 4f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
                                                                                                                                                                           
                                                                                       
                    }
                }
            );
                        //Cavalry Lance
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Spear"),                                                      
                    NameOverride = "Cavalry Lance UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Horse Fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/91.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cavalry Lance.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/S.mp3"),
                                      ModAPI.LoadSound("sfx/S2.mp3"),
                                            ModAPI.LoadSound("sfx/S3.mp3"),
                                               ModAPI.LoadSound("sfx/S4.mp3"),
                                             

                            };                                                                                      
                        
                                                                                       
                    }
                }
            );
            //Pirate Hook
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Pirate Hook UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "You can Replace you hand by this",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/92.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pirate Hook.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //Golden Gauntlet 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Golden Gauntlet UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very Powerful But Golden",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/94.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Golden Gauntlet.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.3f;
                                                                                                                                                                           
                                                                                       
                    }
                }
            );
           //Monarch Rapier
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Monarch Rapier UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Old style weapon for Super duel",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/95.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Monarch Rapier.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                    
                        
                        
                                                                                       
                    }
                }
            );
             //Steel Spiked Mace
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Steel Spiked Mace UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Spiked Mace From Steel",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/96.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Steel Spiked Mace.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hea.mp3"),
                                 ModAPI.LoadSound("sfx/hea2.mp3"),
                                 ModAPI.LoadSound("sfx/hea3.mp3"),
                               
                                     


                            };                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Throwing Axe 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Throwing Axe UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Dude where's my cow",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/97.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("axh.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("axhe.png", 1f));                   
                    someobject.transform.parent = Instance.transform;

                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.2f,0.35f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };


Instance.FixColliders();

                                                                                       
                    }
                }
            );
            //Twin Hook
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Twin Hook UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Underrated weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/98.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Twin Hook.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/O.mp3"),
                                 ModAPI.LoadSound("sfx/O2.mp3"),
                                  ModAPI.LoadSound("sfx/O3.mp3"),
                                   
                               
                                     


                            };                                                            
                        
                        
                                                                                       
                    }
                }
            );
            //Hook
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Hook UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Just a hook",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/99.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hook.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/O.mp3"),
                                 ModAPI.LoadSound("sfx/O2.mp3"),
                                  ModAPI.LoadSound("sfx/O3.mp3"),
                                   
                               
                                     


                            };                                                            
                        
                        
                                                                                       
                    }
                }
            );
            //Pickaxe
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Pickaxe  UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Pickaxe For mining or killing?",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/100.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ph.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("pr.png", 1f));                   
                    someobject.transform.parent = Instance.transform;
                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.2f,0.4f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };








var some2 = ModAPI.CreatePhysicalObject("123", ModAPI.LoadSprite("pl.png", 1f));                   
                    some2.transform.parent = Instance.transform;
                    var asdasdasd = some2.AddComponent<FixedJoint2D>();
                    asdasdasd.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    some2.transform.localPosition = new Vector2(-0.2f,0.4f);
                    some2.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    some2.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phos = some2.GetComponent<PhysicalBehaviour>().Properties;
                        phos.Sharp = true;
                        phos.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.left, -0.2f, 0.2f, true, false),
                        };















Instance.FixColliders();

                                                                                       
                    }
                }
            );
            //Ryyk Blade
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Ryyk Blade UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Bloody Weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/101.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ryyk Blade.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //German Showel
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "German Showel UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can be used as german weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/102.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("German Showel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/AX.mp3"),
                                 ModAPI.LoadSound("sfx/AX2.mp3"),
                                 ModAPI.LoadSound("sfx/AX3.mp3"),
                               
                                     


                            };                                                                 
                        
                                                                                       
                    }
                }
            );
            //Medival Mace
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Medival Mace UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Its Medival Mace what you think",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/103.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Medival Mace.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hea.mp3"),
                                 ModAPI.LoadSound("sfx/hea2.mp3"),
                                 ModAPI.LoadSound("sfx/hea3.mp3"),
                               
                                     


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
            //Mauser Knife
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Mauser Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Mauser Bayonet/Knife its the same",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/104.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mauser Knife.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //Survival Knife
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Survival Knife UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Survival Knife for Hunting",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/105.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Survival Knife.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //Old Club
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Old Club UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "its really old weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/106.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Old Club.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Baton Club
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Baton Club UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "British Police Using These",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/107.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Baton Club.png", 1f);
                        Instance.FixColliders();
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/SBB.mp3"),
                                      ModAPI.LoadSound("sfx/SBB2.mp3"),
                                            ModAPI.LoadSound("sfx/SBB3.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
            //Double Pike 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Double Pike UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Seems like old style weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/108.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("dh.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/S.mp3"),
                                      ModAPI.LoadSound("sfx/S2.mp3"),
                                            ModAPI.LoadSound("sfx/S3.mp3"),
                                               ModAPI.LoadSound("sfx/S4.mp3"),
                                             

                            };    








var some1 = ModAPI.CreatePhysicalObject("afaf", ModAPI.LoadSprite("du.png", 1f));                   
                    some1.transform.parent = Instance.transform;
                    var fafafasfas = some1.AddComponent<FixedJoint2D>();
                    fafafasfas.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    some1.transform.localPosition = new Vector2(0,1.04f);
                    some1.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    some1.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;

                                     var phos2 = some1.GetComponent<PhysicalBehaviour>().Properties;
                        phos2.Sharp = true;
                        phos2.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.up, -0.2f, 0.2f, true, false),
                        };
                            






                            var some2 = ModAPI.CreatePhysicalObject("123", ModAPI.LoadSprite("hd.png", 1f));                   
                    some2.transform.parent = Instance.transform;
                    var asdasdasd = some2.AddComponent<FixedJoint2D>();
                    asdasdasd.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    some2.transform.localPosition = new Vector2(0f,-1.04f);
                    some2.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    some2.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;

                                 var phos = some2.GetComponent<PhysicalBehaviour>().Properties;
                        phos.Sharp = true;
                        phos.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.down, -0.2f, 0.2f, true, false),
                        };

                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //Elite Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Elite Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "More Basic Sword",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/109.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Elite Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Carbon Steel Katana
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Carbon Steel Katana UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Migty Carbon Steel Katana For Special Fights",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/110.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Carbon Steel Katana.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/K.mp3"),
                                      ModAPI.LoadSound("sfx/K2.mp3"),
                                            ModAPI.LoadSound("sfx/K3.mp3"),
                                               ModAPI.LoadSound("sfx/K4.mp3"),
                                               ModAPI.LoadSound("sfx/K5.mp3"),
                                               ModAPI.LoadSound("sfx/K6.mp3"),


                            };                                                                                                                                                                                
                                                                                       
                    }
                }
            );
            //Rolling Pin
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Rolling Pin UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Basic",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/111.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Rolling Pin.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
                        //Hockey Stick
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Hockey Stick UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Play Hockey and faul!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/112.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hockey Stick.png", 1f);
                        Instance.FixColliders();
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/SBB.mp3"),
                                      ModAPI.LoadSound("sfx/SBB2.mp3"),
                                            ModAPI.LoadSound("sfx/SBB3.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
                         //Hockey Stick Team 2
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),                                                      
                    NameOverride = "Hockey Stick Team 2 UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Play Hockey team 2 and faul!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/113.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hockey Stick Team 2.png", 1f);
                        Instance.FixColliders();
                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/SBB.mp3"),
                                      ModAPI.LoadSound("sfx/SBB2.mp3"),
                                            ModAPI.LoadSound("sfx/SBB3.mp3"),


                            };                                                                                                               
                                                                                       
                    }
                }
            );
            //Boomerang
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Boomerang UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "its not working really",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/114.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Boomerang.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Tenis Rocket
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),                                                      
                    NameOverride = "Tenis Rocket UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Play or fight",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/115.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tenis Rocket.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //King Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "King Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "For King!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/117.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("King Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Calibur Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Calibur Sword UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Its Sword",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/118.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Calibur Sword.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/hi.mp3"),
                                      ModAPI.LoadSound("sfx/hi2.mp3"),
                                            ModAPI.LoadSound("sfx/hi3.mp3"),
                                               ModAPI.LoadSound("sfx/hi4.mp3"),
                                               ModAPI.LoadSound("sfx/hi5.mp3"),
                                               ModAPI.LoadSound("sfx/hi6.mp3"),


                            };                                                                                                                                                                                       
                                                                                       
                    }
                }
            );
            //Double Bit Axe 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Double Bit Axe UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Kill!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/119.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bh.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("br.png", 1f));                   
                    someobject.transform.parent = Instance.transform;
                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.12f,0.44f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };








var some2 = ModAPI.CreatePhysicalObject("123", ModAPI.LoadSprite("bl.png", 1f));                   
                    some2.transform.parent = Instance.transform;
                    var asdasdasd = some2.AddComponent<FixedJoint2D>();
                    asdasdasd.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    some2.transform.localPosition = new Vector2(-0.12f,0.44f);
                    some2.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    some2.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phos = some2.GetComponent<PhysicalBehaviour>().Properties;
                        phos.Sharp = true;
                        phos.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.left, -0.2f, 0.2f, true, false),
                        };















Instance.FixColliders();

                                                                                       
                    }
                }
            );
            //Raven Axe 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Raven Axe UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Golden axe or something",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/120.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rh.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("ra.png", 1f));                   
                    someobject.transform.parent = Instance.transform;

                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.22f,0.26f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };


Instance.FixColliders();

                                                                                       
                    }
                }
            );
             //Pirate Dagger
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Pirate Dagger UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Pirate Weapon",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/121.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pirate Dagger.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //Iron Hammer
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),                                                      
                    NameOverride = "Iron Hammer UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Really Heavy weapon for",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/122.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Iron Hammer.png", 1f);
                        Instance.FixColliders();                                                                                                               
                                                                                       
                    }
                }
            );
            //Spiked Bat
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Spiked Bat UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Better stonger",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/123.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Spiked Bat.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Metal Rake
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Metal Rake UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Kill Him!!",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/124.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Metal Rake.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/O.mp3"),
                                 ModAPI.LoadSound("sfx/O2.mp3"),
                                  ModAPI.LoadSound("sfx/O3.mp3"),
                                   
                               
                                     


                            };                                                            
                        
                                                                                       
                    }
                }
            );
            //Modern Machete
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Modern Machete UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Very Modern",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/125.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Modern Machete.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                           
                        
                        
                                                                                       
                    }
                }
            );
            //Knife Machete
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),                                                      
                    NameOverride = "Knife Machete UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Mini Machete",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/126.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Knife Machete.png", 1f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                
                                      ModAPI.LoadSound("sfx/KI.mp3"),
                                            ModAPI.LoadSound("sfx/KI2.mp3"),
                                               ModAPI.LoadSound("sfx/KI3.mp3"),
                                               ModAPI.LoadSound("sfx/KI4.mp3"),
                                              

                            };                                                                                                                                                                                                 
                                                                                       
                    }
                }
            );
            //Fubar Wrench 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Wrench"),                                                      
                    NameOverride = "Fubar Wrench UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Can Reapair! But its big",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/127.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fubar Wrench.png", 1f);                                                                                                               
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                                ModAPI.LoadSound("sfx/MS.mp3"),
                                 ModAPI.LoadSound("sfx/MS2.mp3"),
                               
                                     


                            };                                                                                                                                
                    }
                }
            );
            //Modern Axe 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Modern Axe UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Modern axe or Modern Hatchet?",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/128.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mohe.png", 1f);
                      

var someobject = ModAPI.CreatePhysicalObject("thing", ModAPI.LoadSprite("moh.png", 1f));                   
                    someobject.transform.parent = Instance.transform;

                    var frjoint = someobject.AddComponent<FixedJoint2D>();
                    frjoint.connectedBody = Instance.GetComponent<Rigidbody2D>();
                    someobject.transform.localPosition = new Vector2(0.15f,0.40f);
                    someobject.GetComponent<PhysicalBehaviour>().InitialMass = 0.05f;
                    someobject.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.05f;
                   


    


                 
                            var phys = someobject.GetComponent<PhysicalBehaviour>().Properties;
                        phys.Sharp = true;
                        phys.SharpAxes = new[]
                        {
                            new SharpAxis(Vector2.right, -0.2f, 0.2f, true, false),
                        };


Instance.FixColliders();

                                                                                       
                    }
                }
            );
            //Wooden Tonfa
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Wooden Tonfa UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Not only for police now",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/129.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Wooden Tonfa.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Spiked Plank
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),                                                      
                    NameOverride = "Spiked Plank UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "Zombie survival",                      
                    CategoryOverride = ModAPI.FindCategory("Melee"),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/130.png"),     
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Spiked Plank.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/WO.mp3"),
                                               ModAPI.LoadSound("sfx/WO2.mp3"),
                                               ModAPI.LoadSound("sfx/WO3.mp3"),
                                               ModAPI.LoadSound("sfx/WO4.mp3"),


                            };                                                                                                                                                                              
                                                                                       
                    }
                }
            );
            //Secret Scifi Project
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),                                                      
                    NameOverride = "Secret Sci-Fi Project UMP",                                  
                    NameToOrderByOverride = "A",                                 
                    DescriptionOverride = "What is that?",                      
                    CategoryOverride = ModAPI.FindCategory(""),             
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbS/0.png"),     
                    AfterSpawn = (Instance) =>
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sec.png", 1f);
                        var light = ModAPI.CreateLight(Instance.transform, new Color(0.127f, 0.64000f, 0.127f, 1f), 8.5f, 6f);
                        Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] 

                            {

                               
                                               ModAPI.LoadSound("sfx/SEC.mp3"),
                                               ModAPI.LoadSound("sfx/SEC2.mp3"),
                                               ModAPI.LoadSound("sfx/SEC3.mp3"),
                                               ModAPI.LoadSound("sfx/SEC4.mp3"),
                                               ModAPI.LoadSound("sfx/SEC5.mp3"),


                            };                                                                                                                                                                                                   
                                                                                       
                    }
                }
            );                                                                                                                                                                                                                                                                                                                                                                                                                                                
        }
    }
}